<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.debugger.DebuggerTestCase void atDebuggerTearDown(com.intellij.util.ThrowableRunnable&lt;java.lang.Throwable&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DefaultDebugEnvironment int getTraceMode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void runProcess()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase java.util.List&lt;com.intellij.xdebugger.frame.XStackFrame&gt; collectFrames(com.intellij.xdebugger.XDebugSession)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase.MockConfiguration MockConfiguration(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.BreakpointComment java.lang.Integer readIntValue(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.BreakpointComment">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.JvmDebuggerUtils">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.HelpID COLLECTION_WATCHPOINTS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerBreakpointTestUtilsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase void printContext(java.lang.String, com.intellij.debugger.engine.StackFrameContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase.BreakpointProvider void onEveryBreakpoint(com.intellij.debugger.engine.SuspendContextRunnable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase void stepOut(com.intellij.debugger.engine.SuspendContextImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void setSettingForTest(java.util.function.Supplier&lt;? extends T&gt;, java.util.function.Consumer&lt;? super T&gt;, T)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase com.intellij.execution.runners.ExecutionEnvironment getExecutionEnvironment()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerInvocationUtil void invokeLaterAnyModality(com.intellij.openapi.project.Project, java.lang.Runnable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase com.sun.jdi.Value evaluate(com.intellij.debugger.engine.evaluation.CodeFragmentKind, java.lang.String, com.intellij.debugger.engine.SuspendContextImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebugEnvironment com.intellij.openapi.projectRoots.Sdk getAlternativeJre()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.MockConfiguration">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void printAsyncStackTrace(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;252.19874.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void printAsyncStackTrace(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase int getTraceMode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase.BreakpointProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void doWhenXSessionPausedThenResume(com.intellij.util.ThrowableRunnable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3691.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase myLogAllCommands">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void resume()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void enableRenderer(com.intellij.debugger.ui.tree.render.NodeRenderer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3691.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase void onEveryBreakpoint(com.intellij.debugger.engine.SuspendContextRunnable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase java.lang.String getFramePresentation(com.intellij.xdebugger.frame.XStackFrame)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DefaultDebugEnvironment DefaultDebugEnvironment(com.intellij.execution.runners.ExecutionEnvironment, com.intellij.execution.configurations.RunProfileState, com.intellij.execution.configurations.RemoteConnection, long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void restoreSettingAfterTest(java.util.function.Supplier&lt;? extends T&gt;, java.util.function.Consumer&lt;? super T&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase myWasUsedOnlyDefaultSuspendPolicy">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.InstanceFilter com.intellij.debugger.InstanceFilter create(long)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2757.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerGlobalSearchScope">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase void onStop(com.intellij.debugger.engine.SuspendContextRunnable, com.intellij.debugger.engine.SuspendContextRunnable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void doWhenXSessionPaused(com.intellij.util.ThrowableRunnable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase boolean logAllCommands()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase DEFAULT_ADDRESS">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase void invokeRatherLater(com.intellij.debugger.engine.DebugProcessImpl, com.intellij.debugger.engine.events.DebuggerCommandImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void setUpPacketsMeasureTest()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.PositionManager java.util.Set&lt;? extends com.intellij.openapi.fileTypes.FileType&gt; getAcceptedFileTypes()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebugEnvironment long getPollTimeout()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase com.sun.jdi.Value evaluate(com.intellij.debugger.engine.evaluation.CodeFragmentKind, java.lang.String, com.intellij.debugger.engine.evaluation.EvaluationContextImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerInvocationUtil void invokeLaterAnyModality(java.lang.Runnable)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;253.17525.79&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void disableRenderer(com.intellij.debugger.ui.tree.render.NodeRenderer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.3691.12&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase com.intellij.debugger.jdi.StackFrameProxyImpl getFrameProxy(com.intellij.debugger.engine.SuspendContextImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebugEnvironment com.intellij.openapi.projectRoots.Sdk getRunJre()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.JavaDebuggerBundle">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase void stepInto(com.intellij.debugger.engine.SuspendContextImpl, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void createLocalProcess(com.intellij.execution.configurations.JavaParameters)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DefaultDebugEnvironment DEBUGGER_TRACE_MODE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebugEnvironment LOCAL_START_TIMEOUT">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase TEST_JDK_NAME">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase void printHighlightingRange(com.intellij.debugger.engine.SuspendContextImpl)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.ExecutionWithDebuggerToolsTestCase java.lang.String toDisplayableString(com.intellij.debugger.SourcePosition)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.7660.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase com.intellij.execution.configurations.RunProfileState getRunnableState()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.debugger.DebuggerTestCase void printAsyncStackTrace()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
</root>
